/*----------------------------------------------------------------------------
| intent                erase.cpp/h                 bob.seabrook  September 2007
|   1) create a function that can erase a bank1 sector from code in bank0.
|      It is illegal to program bank1 direct from bank0 right after reset
|      [see sec 2.3-note in str71x_flash programming_reference manual.]
|      So this code programs bank1(sector0) from (bank0)code moved to RAM.
| how
|      This is a separate file which Makefile can force to be compiled to ARM.
|      It accomodates 2 ARM functions so one can call the other directly w/o 
|      fragmentation due to interworking branches. This way the called function
|      address is always the start of a discrete unit that can be moved to RAM 
|      and run from there.
---------------------------------------------------------------------------*/

#include "71x_map.h"                   //for UART_TypeDef and FLASHR. includes 71x_type for u32.

void erase_func(void);                 //  This is copied to RAM on stack and run from there
u32 erase_flash1(UART_TypeDef *UARTx); // erase flash bank1 display and progress on uart given


